import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData) {
  return request.post(constant.serverUrl + "/base/personPopedom/pageList", formData);
}

function create() {
  return request.get(constant.serverUrl + "/base/personPopedom/create");
}

function edit(id) {
  return request.get(constant.serverUrl + "/base/personPopedom/edit/" + id);
}

function add(formModel) {
  return request.post(constant.serverUrl + "/base/personPopedom/add", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel) {
  return request.post(constant.serverUrl + "/base/personPopedom/update", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id) {
  return request.post(constant.serverUrl + "/base/personPopedom/delete/" + id);
}

function batchRemove(idList) {
  return request.post(constant.serverUrl + "/base/personPopedom/batchDelete", idList, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function changeDefault(formModel) {
  return request.post(constant.serverUrl + "/base/personPopedom/changeDefault", formModel);
}

export default {
  pageList, create, edit, add, update, remove, batchRemove,changeDefault
}